<div>
  <div *ngIf="single; then singleDate else rangeDate"></div>
</div>

<!-- Range Select -->
<ng-template #rangeDate>
  <!-- Date Range Text Display -->
  <!-- <span *ngIf="startDate && endDate" class="range-display">
    {{toDateISO(startDate) | date: 'shortDate'}} - {{toDateISO(endDate) | date: 'shortDate'}}
  </span> -->

  <ngb-datepicker #rangePicker (select)="onDateSelection($event)" [displayMonths]="months" [dayTemplate]="day"
    [startDate]="startDate" outsideDays="hidden"></ngb-datepicker>
</ng-template>

<ng-template #day let-date let-focused="focused">
  <span class="custom-day" [class.focused]="focused" [class.range]="isRange(date)"
    [class.faded]="isHovered(date) || isInside(date)" (mouseenter)="hoveredDate = date"
    (mouseleave)="hoveredDate = null">
    {{ date.day }}
  </span>
</ng-template>

<!-- Single Select -->
<ng-template #singleDate>
  <div class="form-group">
    <div class="input-group">
      <input class="form-control" placeholder="yyyy-mm-dd" [placement]="'bottom-right'" name="dp" [(ngModel)]="endDate"
        (ngModelChange)="onDateSelection($event)" ngbDatepicker [startDate]="startDate" #d="ngbDatepicker">
      <div class="input-group-append">
        <button class="btn btn-outline-secondary calendar calendar-btn" (click)="d.toggle()" type="button"></button>
      </div>
    </div>
  </div>
</ng-template>